#include "pip.h"

//! [main]
int main(int argc, char ** argv) {
	PICLI cli(argc, argv);
	cli.addArgument("console");
	cli.addArgument("debug");
	cli.addArgument("Value", "v", "value", true);
	if (cli.hasArgument("console"))
		piCout << "console active";
	if (cli.hasArgument("debug"))
		piCout << "debug active";
	piCout << "Value =" << cli.argumentValue("Value");
	return 0;
}

These executions are similar:
a.out -cd -v 10
a.out --value 10 -dc
a.out -c -v 10 -d
a.out --console -d -v 10
a.out --debug -c --value 10
//! [main]

void _() {
};
